<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('requisiciones', function (Blueprint $table) {
            $table->bigIncrements('rq_id');
            $table->string('rq_siteNombre');
            $table->string('rq_personaNombre');
            $table->string('rq_numero')->unique();
            $table->string('rq_articulo');
            $table->date('rq_fecha');
            $table->string('rq_proveedorVB')->nullable();
            $table->date('rq_fechaVB')->nullable();
            $table->string('rq_comentarioVB')->nullable();
            $table->string('rq_numeroOC')->nullable();
            $table->date('rq_fechaOC')->nullable();
            $table->string('rq_comentarioFin')->nullable();
            $table->date('rq_fechaFinalizado')->nullable();
            $table->string('rq_estado')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('requisiciones');
    }
};
